PUT api/v1/AnimalSounds/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
Required |
Body Parameters
AnimalSound| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Name | string |
None. |
|
| Slug | string |
None. |
|
| ImageUrl | string |
None. |
|
| AudioUrl | string |
None. |
|
| Category | string |
None. |
|
| AgeMinMonths | integer |
None. |
|
| AgeMaxMonths | integer |
None. |
|
| Locale | string |
None. |
|
| DisplayOrder | integer |
None. |
|
| IsActive | boolean |
None. |
|
| CreatedAt | date |
None. |
|
| UpdatedAt | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"name": "sample string 2",
"slug": "sample string 3",
"imageUrl": "sample string 4",
"audioUrl": "sample string 5",
"category": "sample string 6",
"ageMinMonths": 1,
"ageMaxMonths": 1,
"locale": "sample string 7",
"displayOrder": 1,
"isActive": true,
"createdAt": "2026-04-18T15:05:37.4453347+03:00",
"updatedAt": "2026-04-18T15:05:37.4453347+03:00"
}
application/xml, text/xml
Sample:
<AnimalSound xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityBase"> <AgeMaxMonths>1</AgeMaxMonths> <AgeMinMonths>1</AgeMinMonths> <AudioUrl>sample string 5</AudioUrl> <Category>sample string 6</Category> <CreatedAt>2026-04-18T15:05:37.4453347+03:00</CreatedAt> <DisplayOrder>1</DisplayOrder> <Id>1</Id> <ImageUrl>sample string 4</ImageUrl> <IsActive>true</IsActive> <Locale>sample string 7</Locale> <Name>sample string 2</Name> <Slug>sample string 3</Slug> <UpdatedAt>2026-04-18T15:05:37.4453347+03:00</UpdatedAt> </AnimalSound>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.